Page MenuHomePhabricator

[profile] Fix the gcov tests after the patch in D49853 landed.
ClosedPublic

Authored by calixte on Jul 26 2018, 7:13 AM.

Details

Summary

The goal of the patch in D49853 is to display counter on the line of function definition.
So some tests need to be fixed.

Diff Detail

Event Timeline

calixte created this revision.Jul 26 2018, 7:13 AM
Herald added subscribers: Restricted Project, llvm-commits, delcypher. · View Herald TranscriptJul 26 2018, 7:13 AM
marco-c accepted this revision.Jul 27 2018, 10:08 AM
marco-c added inline comments.
test/profile/Inputs/instrprof-dlopen-func.c.gcov
6 ↗(On Diff #157481)

This and the following two are a bit worse than before, but it should be fixed by another of calixte's patches.

This revision is now accepted and ready to land.Jul 27 2018, 10:08 AM
calixte updated this revision to Diff 166715.Sep 24 2018, 10:31 AM

Update the tests

calixte updated this revision to Diff 169040.Oct 10 2018, 10:25 AM

Fix profile tests

This revision was automatically updated to reflect the committed changes.